Bug 59236 - adsl-setup produces "nameless" device if no other ppp* device present
adsl-setup produces "nameless" device if no other ppp* device present
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: rp-pppoe (Show other bugs)
7.2
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-03 05:43 EST by Need Real Name
Modified: 2007-04-18 12:39 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-12 12:02:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-02-03 05:43:48 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.6) Gecko/20011120

Description of problem:
rp-pppoe-3.3-4
If no ifcfg-ppp* device is configured bevor running adsl-setup, adsl-setup
produces an device named "ifcfg-".

Version-Release number of selected component (if applicable):
rp-pppoe-3.3-4

How reproducible:
Always

Steps to Reproduce:
1.Remove all ifcfg-ppp* from /etc/sysconfig/network-scripts/
2.Run 'adsl-setup'
	

Actual Results:  After answering the questions:

------------snip-------------
Ethernet Interface: eth1
User name:          fake
Activate-on-demand: No
DNS:                Do not adjust
Firewalling:        NONE
User Control:       no
Accept these settings and adjust configuration files (y/n)? y
Adjusting /etc/sysconfig/network-scripts/ifcfg-
Adjusting /etc/ppp/chap-secrets and /etc/ppp/pap-secrets
  (But first backing it up to /etc/ppp/chap-secrets.bak)
  (But first backing it up to /etc/ppp/pap-secrets.bak)



Congratulations, it should be all set up!

Type '/sbin/ifup ' to bring up your xDSL link and '/sbin/ifdown '
to bring it down.
Type '/sbin/adsl-status /etc/sysconfig/network-scripts/ifcfg-'
to see the link status.
---------------snap----------------

Expected Results:  Something like "ifcfg-ppp0".

Additional info:

Workaround:
First configure a fake connection (not on deamand, not to start on
system-startup). Move the resulting "ifcfg-" to "ifcfg-ppp0". Now start
adsl-setup again and choose to create a new device when asked. Configure the new
device to your needs and use the resulting "ifcfg-ppp1".
Comment 1 Bernhard Rosenkraenzer 2002-02-12 12:02:35 EST
 Fixed in 3.3-5

Note You need to log in before you can comment on or make changes to this bug.